
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: productlinestepsTypes.addInput) {
        return request('/api/productlinesteps/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: productlinestepsTypes.delInput) {
        return request(`/api/productlinesteps/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: productlinestepsTypes.updateInput) {
        return request('/api/productlinesteps/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/productlinesteps/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: productlinestepsTypes.queryParms) {
        return request('/api/productlinesteps/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: productlinestepsTypes.queryPage) {
        return request('/api/productlinesteps/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //根据批量更新步骤
    BatchUpdateStep(parms :productlinestepsTypes.updateInput[]){
       return request('/api/productlinesteps/batchupdate',{
           method: 'POST',
           data: parms
       })
   },
   // 产线设备列表
    Devicelist(parms: productlinestepsTypes.DeviceQuery) {
        return request('/api/productline/devicelist', {
            method: 'POST',
            data: {
                ...parms
            }
        })
    },

}

